Redmine - Defect #13273

Making a copied ticket a child of the copying ticket results in an infinite loop at server side

2013-02-25 05:51 - Toru Haraguchi

Status: Closed Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: Issues Estimated time: 0.00 hour
Target version:

Resolution: Invalid Affected version: 222
Description

Need either of...

® Prevention on the form field
¢ Change in querying strategy against SQL backend

History

#1 - 2013-02-25 06:22 - Toru Haraguchi

How to reproduce

Open a ticket "A"

Click on "copy" link

enter the ID of "A" into "parent ID" field on the form
Click "send" button

#2 - 2013-02-25 18:47 - Jean-Philippe Lang

- Resolution set to Cant reproduce

Works for me. The child issue is created with its parent. Any plugins?

#3 - 2013-02-27 03:09 - Toshi MARUYAMA

- Status changed from New to Needs feedback

#4 - 2013-02-27 04:13 - Toru Haraguchi

Many plugins, but all in-house.
Will report what addition caused it, after investigating with outsource company.

#5 - 2013-03-01 08:48 - Toru Haraguchi

Firstly, "How to reproduce" was missing one important condition.

Open a ticket "A" with one or more child ticket
Click on "copy" link

enter the ID of "A" into "parent ID" field on the form
Click "send" button

Original Redmine 2.2.2 had different symptom, but no infinite loop .
The infinite loop was shown only after the patch trunk-r11262.diff is aplied.

Will report original Redmine 2.2.2 symptom on a separate ticket.

#6 - 2013-03-01 08:58 - Jean-Philippe Lang

Tested, works for me with current trunk.

#7 - 2013-03-01 12:24 - Toshi MARUYAMA
- Status changed from Needs feedback to Closed

- Resolution changed from Cant reproduce to Invalid

Toru Haraguchi wrote:
The infinite loop was shown only after the patch trunk-r11262.diff is aplied.

trunk-r11262.diff is in #1005#note-30.
https://www.redmine.org/issues/1005#note-30
